## sugar-log-activity-0.86 24

=== debian/changelog ===
sugar-log-activity-0.86 (24-1) unstable; urgency=low

  * New upstream release.

 -- Dipankar Patro <dipankar@seeta.in>  Fri, 15 Oct 2010 19:41:45 +0530

sugar-log-activity-0.86 (23-1) unstable; urgency=low

  [ Dipankar Patro ]
  * Initial upload to Debian. Closes: #588682

 -- Luke Faraone <lfaraone@debian.org>  Mon, 09 Aug 2010 23:41:24 -0400

sugar-log-activity (6-0ubuntu1) hardy; urgency=low

  * Initial upload to Ubuntu

 -- Jani Monoses <jani@ubuntu.com>  Sat, 08 Dec 2007 21:51:00 +0200
