=== debian/control ===
Source: sugar-log-activity-0.86
Section: x11
Priority: optional
Maintainer: Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>
Uploaders: Dipankar Patro <dipankar@seeta.in>,
 Luke Faraone <lfaraone@debian.org>
Build-Depends: devscripts (>= 2.10.7~),
 cdbs (>= 0.4.67~),
 dh-buildinfo,
 python-central,
 debhelper,
 cdbs (>= 0.4.67~),
 python,
 python-sugar-0.86 | python-sugar-0.88,
 python-sugar-toolkit-0.86 | python-sugar-toolkit-0.88,
 unzip
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/collab-maint/sugar-logviewer-activity.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/sugar-logviewer-activity.git;a=summary
Homepage: http://wiki.laptop.org/go/Log_Viewer
XS-Python-Version: all

Package: sugar-log-activity-0.86
Architecture: all
Depends: ${shlibs:Depends}, ${python:Depends}, ${cdbs:Depends}, ${misc:Depends}
Recommends: ${cdbs:Recommends}
Provides: ${python:Provides}, ${cdbs:Provides}
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
Description: Sugar Log activity
 Sugar is a graphical user interface aimed at children.
 .
 Originating as integral part of the OLPC "XO" a.k.a. the $100 laptop,
 Sugar has since grown into a more widely usable low-resource desktop
 environment for kids.
 .
 This package contains the Log activity for developers to examine the
 log files that are generated by system software and other activities.
 Logs can also be uploaded to OLPC's servers to allow support staff
 to assist with troubleshooting.
